replicaCount: 1
image:
  repository: ${CI_REGISTRY_IMAGE}
  pullPolicy: Always
  tag: ${PROJECT_RELEASE_VERSION}
imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

# Dataspace name visible
dataspaceName: SIMPL

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Automatically mount a ServiceAccount's API credentials?
  automount: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}
podLabels: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 3000

resources:
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  limits:
    cpu: 250m
    memory: 512Mi
  requests:
    cpu: 250m
    memory: 512Mi

# livenessProbe:
#   httpGet:
#     path: "/"
#     port: http
#   initialDelaySeconds: 30
#   periodSeconds: 5
#   failureThreshold: 10
# readinessProbe:
#   httpGet:
#     path: "/"
#     port: http
#   initialDelaySeconds: 30
#   periodSeconds: 5
#   failureThreshold: 10

autoscaling:
  enabled: true
  minReplicas: 1
  maxReplicas: 1
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

# Additional volumes on the output Deployment definition.
volumes: {}

# - name: foo
#   secret:
#     secretName: mysecret
#     optional: false

# Additional volumeMounts on the output Deployment definition.
volumeMounts: {}

nodeSelector: {}

tolerations: []

affinity: {}

hostFe: "" # your host for the frontend
cors: 
  allowOrigin: "" # ingress separed by comma
ingress:
  issuer: "" # issuer ingress name